package com.perforce.hwsclient.models;

import java.util.Objects;
import com.perforce.hwsclient.models.GitFusionRepoBranchConfig;
import com.perforce.hwsclient.models.GitFusionRepoGlobalOverrides;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.*;

import com.google.gson.annotations.SerializedName;




@ApiModel(description = "")
public class GitFusionRepoConfig   {
  
  @SerializedName("name")
  private String name = null;
  
  @SerializedName("description")
  private String description = null;
  
  @SerializedName("globalOverrides")
  private GitFusionRepoGlobalOverrides globalOverrides = null;
  
  @SerializedName("branches")
  private List<GitFusionRepoBranchConfig> branches = new ArrayList<GitFusionRepoBranchConfig>();
  

  
  /**
   * The repository name, which can be path-like.
   **/
  @ApiModelProperty(value = "The repository name, which can be path-like.")
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }

  
  /**
   * Repo description returned by the @list command.
   **/
  @ApiModelProperty(value = "Repo description returned by the @list command.")
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public GitFusionRepoGlobalOverrides getGlobalOverrides() {
    return globalOverrides;
  }
  public void setGlobalOverrides(GitFusionRepoGlobalOverrides globalOverrides) {
    this.globalOverrides = globalOverrides;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public List<GitFusionRepoBranchConfig> getBranches() {
    return branches;
  }
  public void setBranches(List<GitFusionRepoBranchConfig> branches) {
    this.branches = branches;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GitFusionRepoConfig gitFusionRepoConfig = (GitFusionRepoConfig) o;
    return Objects.equals(this.name, gitFusionRepoConfig.name) &&
        Objects.equals(this.description, gitFusionRepoConfig.description) &&
        Objects.equals(this.globalOverrides, gitFusionRepoConfig.globalOverrides) &&
        Objects.equals(this.branches, gitFusionRepoConfig.branches);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, description, globalOverrides, branches);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GitFusionRepoConfig {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    globalOverrides: ").append(toIndentedString(globalOverrides)).append("\n");
    sb.append("    branches: ").append(toIndentedString(branches)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
