package com.perforce.hwsclient.models;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * A list of entries that can show the layout how users are associated with the different groups in the system.
 **/
@ApiModel(description = "A list of entries that can show the layout how users are associated with the different groups in the system.")
public class GroupsCommand   {
  
  @SerializedName("user")
  private String user = null;
  
  @SerializedName("group")
  private String group = null;
  
  @SerializedName("isSubGroup")
  private String isSubGroup = null;
  
  @SerializedName("isOwner")
  private String isOwner = null;
  
  @SerializedName("isUser")
  private String isUser = null;
  
  @SerializedName("maxResults")
  private String maxResults = null;
  
  @SerializedName("maxScanRows")
  private String maxScanRows = null;
  
  @SerializedName("maxLockTime")
  private String maxLockTime = null;
  
  @SerializedName("maxOpenFiles")
  private String maxOpenFiles = null;
  
  @SerializedName("timeout")
  private String timeout = null;
  
  @SerializedName("passTimeout")
  private String passTimeout = null;
  

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getUser() {
    return user;
  }
  public void setUser(String user) {
    this.user = user;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getGroup() {
    return group;
  }
  public void setGroup(String group) {
    this.group = group;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getIsSubGroup() {
    return isSubGroup;
  }
  public void setIsSubGroup(String isSubGroup) {
    this.isSubGroup = isSubGroup;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getIsOwner() {
    return isOwner;
  }
  public void setIsOwner(String isOwner) {
    this.isOwner = isOwner;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getIsUser() {
    return isUser;
  }
  public void setIsUser(String isUser) {
    this.isUser = isUser;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getMaxResults() {
    return maxResults;
  }
  public void setMaxResults(String maxResults) {
    this.maxResults = maxResults;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getMaxScanRows() {
    return maxScanRows;
  }
  public void setMaxScanRows(String maxScanRows) {
    this.maxScanRows = maxScanRows;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getMaxLockTime() {
    return maxLockTime;
  }
  public void setMaxLockTime(String maxLockTime) {
    this.maxLockTime = maxLockTime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getMaxOpenFiles() {
    return maxOpenFiles;
  }
  public void setMaxOpenFiles(String maxOpenFiles) {
    this.maxOpenFiles = maxOpenFiles;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getTimeout() {
    return timeout;
  }
  public void setTimeout(String timeout) {
    this.timeout = timeout;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPassTimeout() {
    return passTimeout;
  }
  public void setPassTimeout(String passTimeout) {
    this.passTimeout = passTimeout;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GroupsCommand groupsCommand = (GroupsCommand) o;
    return Objects.equals(this.user, groupsCommand.user) &&
        Objects.equals(this.group, groupsCommand.group) &&
        Objects.equals(this.isSubGroup, groupsCommand.isSubGroup) &&
        Objects.equals(this.isOwner, groupsCommand.isOwner) &&
        Objects.equals(this.isUser, groupsCommand.isUser) &&
        Objects.equals(this.maxResults, groupsCommand.maxResults) &&
        Objects.equals(this.maxScanRows, groupsCommand.maxScanRows) &&
        Objects.equals(this.maxLockTime, groupsCommand.maxLockTime) &&
        Objects.equals(this.maxOpenFiles, groupsCommand.maxOpenFiles) &&
        Objects.equals(this.timeout, groupsCommand.timeout) &&
        Objects.equals(this.passTimeout, groupsCommand.passTimeout);
  }

  @Override
  public int hashCode() {
    return Objects.hash(user, group, isSubGroup, isOwner, isUser, maxResults, maxScanRows, maxLockTime, maxOpenFiles, timeout, passTimeout);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GroupsCommand {\n");
    
    sb.append("    user: ").append(toIndentedString(user)).append("\n");
    sb.append("    group: ").append(toIndentedString(group)).append("\n");
    sb.append("    isSubGroup: ").append(toIndentedString(isSubGroup)).append("\n");
    sb.append("    isOwner: ").append(toIndentedString(isOwner)).append("\n");
    sb.append("    isUser: ").append(toIndentedString(isUser)).append("\n");
    sb.append("    maxResults: ").append(toIndentedString(maxResults)).append("\n");
    sb.append("    maxScanRows: ").append(toIndentedString(maxScanRows)).append("\n");
    sb.append("    maxLockTime: ").append(toIndentedString(maxLockTime)).append("\n");
    sb.append("    maxOpenFiles: ").append(toIndentedString(maxOpenFiles)).append("\n");
    sb.append("    timeout: ").append(toIndentedString(timeout)).append("\n");
    sb.append("    passTimeout: ").append(toIndentedString(passTimeout)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
