package com.perforce.hwsclient.models;

import java.util.Objects;
import com.perforce.hwsclient.models.ServerLoginRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.*;

import com.google.gson.annotations.SerializedName;




/**
 * Captures the login information we need for logging into either a p4d server or our \&quot;authentication source\&quot;.
 **/
@ApiModel(description = "Captures the login information we need for logging into either a p4d server or our \"authentication source\".")
public class LoginRequest   {
  
  @SerializedName("user")
  private String user = null;
  
  @SerializedName("password")
  private String password = null;
  
  @SerializedName("serverLogins")
  private List<ServerLoginRequest> serverLogins = new ArrayList<ServerLoginRequest>();
  

  
  /**
   * Usually the Perforce username
   **/
  @ApiModelProperty(value = "Usually the Perforce username")
  public String getUser() {
    return user;
  }
  public void setUser(String user) {
    this.user = user;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPassword() {
    return password;
  }
  public void setPassword(String password) {
    this.password = password;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public List<ServerLoginRequest> getServerLogins() {
    return serverLogins;
  }
  public void setServerLogins(List<ServerLoginRequest> serverLogins) {
    this.serverLogins = serverLogins;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LoginRequest loginRequest = (LoginRequest) o;
    return Objects.equals(this.user, loginRequest.user) &&
        Objects.equals(this.password, loginRequest.password) &&
        Objects.equals(this.serverLogins, loginRequest.serverLogins);
  }

  @Override
  public int hashCode() {
    return Objects.hash(user, password, serverLogins);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LoginRequest {\n");
    
    sb.append("    user: ").append(toIndentedString(user)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("    serverLogins: ").append(toIndentedString(serverLogins)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
