package com.perforce.hwsclient.models;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.*;

import com.google.gson.annotations.SerializedName;




/**
 * Defines the triggers table, like it would appear in the output to the `p4 triggers` command.
 **/
@ApiModel(description = "Defines the triggers table, like it would appear in the output to the `p4 triggers` command.")
public class Triggers   {
  
  @SerializedName("triggers")
  private List<String> triggers = new ArrayList<String>();
  

  
  /**
   * A list of trigger definitions.\n\nA trigger definition contains four fields that specify the name of the trigger, the type of event that should trigger the execution of the script, the paths that should be affected by the trigger, the location of the script, and other trigger type-dependent information.\nWhen the condition specified in a trigger definition is satisfied, the associated script or program is executed.\n\nExample: `trig1 change-submit //depot/dir/...   \"/usr/bin/s1.pl %changelist%\"`\n\nSee the Helix Versioning Engine Administrator Guide for more details on trigger definitions.
   **/
  @ApiModelProperty(value = "A list of trigger definitions.\n\nA trigger definition contains four fields that specify the name of the trigger, the type of event that should trigger the execution of the script, the paths that should be affected by the trigger, the location of the script, and other trigger type-dependent information.\nWhen the condition specified in a trigger definition is satisfied, the associated script or program is executed.\n\nExample: `trig1 change-submit //depot/dir/...   \"/usr/bin/s1.pl %changelist%\"`\n\nSee the Helix Versioning Engine Administrator Guide for more details on trigger definitions.")
  public List<String> getTriggers() {
    return triggers;
  }
  public void setTriggers(List<String> triggers) {
    this.triggers = triggers;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Triggers triggers = (Triggers) o;
    return Objects.equals(this.triggers, triggers.triggers);
  }

  @Override
  public int hashCode() {
    return Objects.hash(triggers);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Triggers {\n");
    
    sb.append("    triggers: ").append(toIndentedString(triggers)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
